bgcode(1)

NAME
bgcode - compress/decompress byte streams using LZSS

SYNOPSIS
bgcode [IN_FILE] OPTIONS

DESCRIPTION
bgcode converts textual gcode files into binary gcode, as used by Prusa 3D printers.

OPTIONS

--checksum=CHECKSUM
    Checksum algorithm to use. Valid values for CHECKSUM are 0 for no checksum and 1 for CRC32 (default).

--file_metadata_compression=COMPRESSION
    Compression algorithm to use for file metadata. Valid values for COMPRESSION are: 0 for None (default), 1 for Deflate, 2 for Heatshrink_11_4, and 3 for Heatshrink_12_4.

--print_metadata_compression=COMPRESSION
    Compression algorithm to use for print metadata. Valid values for COMPRESSION are: 0 for None (default), 1 for Deflate, 2 for Heatshrink_11_4, and 3 for Heatshrink_12_4.

--printer_metadata_compression=COMPRESSION
    Compression algorithm to use for printer metadata. Valid values for COMPRESSION are: 0 for None (default), 1 for Deflate, 2 for Heatshrink_11_4, and 3 for Heatshrink_12_4.

--slicer_metadata_compression=COMPRESSION
    Compression algorithm to use for slicer metadata. Valid values for COMPRESSION are: 0 for None (default), 1 for Deflate, 2 for Heatshrink_11_4, and 3 for Heatshrink_12_4.

--gcode_compression=COMPRESSION
    Compression algorithm to use for G-code. Valid values for COMPRESSION are: 0 for None (default), 1 for Deflate, 2 for Heatshrink_11_4, and 3 for Heatshrink_12_4.

--gcode_encoding=GCODE_ENCODING
    Encoding format to use for G-code. Valid values for GCODE_ENCODING are 0 for None (default), 1 for MeatPack, and 2 for MeatPackComments.

--metadata_encoding=METADATA_ENCODING
    Encoding format to use for metadata. The only available value for this is 0 for INI (default).

BUGS
The upstream BTS can be found at https://github.com/prusa3d/libbgcode/issues.

AUTHOR

Chow Loong Jin
    hyperair@debian.org Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2023 Chow Loong Jin

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.